<?php
  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  
  // $participation_participations = json_encode($participations, JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;

?>
<link href="<?php echo $request->getBaseUrl(); ?>/css/jquery-gantt.css" rel="stylesheet" />
		<style type="text/css">
			/*
      .contain {
				width: 800px;
				margin: 0 auto;
			}
      */
			/* Bootstrap 3.x re-reset */
      .fn-gantt *,
      .fn-gantt *:after,
      .fn-gantt *:before {
        -webkit-box-sizing: content-box;
           -moz-box-sizing: content-box;
                box-sizing: content-box;
      }
		</style>

<script src="<?php echo $request->getBaseUrl(); ?>/js/moment-with-locales.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/jquery.fn.gantt.js"></script>
<div class="col-md-12">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 class="panel-title">Planning des Intervenants</h3>
    </div>
    <div class="panel-body">
          <div id="oa_planning" class="gantt"></div>
    </div>
    <!-- <div class="panel-footer">Panel footer</div> -->
  </div>
  
  </div>
</div>  
<script>
	$(function() {
    //"use strict";
    
    // var today = moment();
    // var andTwoHours = moment().add("hours",2);
    // var today_friendly = "/Date(" + today.valueOf() + ")/";
    // var next_friendly = "/Date(" + andTwoHours.valueOf() + ")/";
    
    var oa_gantt_source = [
      {"name":" ","desc":"GORET Jean-fran\u00e7ois","values":{"from":"01/07/2009","to":"31/10/2009","label":"Responsable de secteur","role_id":"2","customClass":"ganttBlue"}},
      {"name":" ","desc":"GICQUEL Cyrille","values":{"from":"01/08/2009","to":"31/08/2009","label":"Technicien de fouille","role_id":"3","customClass":"ganttGreen"}},
      {"name":" ","desc":"GICQUEL Cyrille","values":{"from":"01/09/2009","to":"30/09/2009","label":"Responsable de secteur","role_id":"2","customClass":"ganttBlue"}},
      {"name":" ","desc":"HAVRANEK St\u00e9phane","values":{"from":"01/08/2009","to":"31/08/2009","label":"Technicien de fouille","role_id":"3","customClass":"ganttGreen"}},
      {"name":" ","desc":"GUERRA Angelo","values":{"from":"06/07/2009","to":"31/07/2009","label":"Technicien de fouille","role_id":"3","customClass":"ganttGreen"}}] ;
    
    $("#oa_planning").gantt({
      source: "<?php echo $this->getRequest('Dashboard_Oa','ParticipationsAjax', array( 'planning' ) ) ; ?>",
      // source : oa_gantt_source,
      scale: "weeks",
      minScale: "weeks",
      maxScale: "months",
      navigate: "scroll",
      itemsPerPage : 15,
      onItemClick: function(data) {
				alert("Item clicked - show some details");
			},
			onAddClick: function(dt, rowId) {
				alert("Empty space clicked - add an item!");
			},
			onRender: function() {
				if (window.console && typeof console.log === "function") {
					// console.log("chart rendered");
				}
			}
    });
    
    $(".gantt").popover({
      selector: ".bar",
      title: "I'm a popover",
      content: "And I'm the content of said popover.",
      trigger: "hover"
    });
    
  });

</script>